FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian GCC

 
 
LinkBack Thread Tools
 
Old 05-21-2010, 03:38 PM
Ken Bloom
 
Default Bug#582530: libgcj10: Fails to install with dpkg/gzip error.

Package: libgcj10
Version: 4.4.4-1
Severity: grave
Justification: renders package unusable

[bloom@cat-in-the-hat archives]$ sudo dpkg -i libgcj10_4.4.4-2_amd64.deb
(Reading database ... 396928 files and directories currently installed.)
Preparing to replace libgcj10 4.4.4-1 (using libgcj10_4.4.4-2_amd64.deb) ...
Unpacking replacement libgcj10 ...
dpkg-deb (subprocess): data: internal gzip read error: '<fd:0>: invalid stored block lengths'
dpkg-deb: subprocess <decompress> returned error exit status 2
dpkg: error processing libgcj10_4.4.4-2_amd64.deb (--install):
short read on buffer copy for backend dpkg-deb during `./usr/lib/libgcj.so.10.0.0'
Errors were encountered while processing:
libgcj10_4.4.4-2_amd64.deb


-- System Information:
Debian Release: squeeze/sid
APT prefers unstable
APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libgcj10 depends on:
ii gcj-4.4-base 4.4.4-2 The GNU Compiler Collection (gcj b
ii libasound2 1.0.22-2 shared library for ALSA applicatio
ii libc6 2.10.2-9 Embedded GNU C Library: Shared lib
ii libgcc1 1:4.4.4-2 GCC support library
ii libgcj-common 1:4.4.2-3 Java runtime library (common files
ii libgmp3c2 2:4.3.2+dfsg-1 Multiprecision arithmetic library
ii zlib1g 1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages libgcj10 recommends:
ii gcj-4.4-jre-lib 4.4.4-2 Java runtime library for use with

Versions of packages libgcj10 suggests:
pn libgcj10-awt <none> (no description available)
pn libgcj10-dbg <none> (no description available)

-- no debconf information



--
To UNSUBSCRIBE, email to debian-gcc-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 20100521153814.19844.40690.reportbug@cat-in-the-hat.dnsalias.com">http://lists.debian.org/20100521153814.19844.40690.reportbug@cat-in-the-hat.dnsalias.com
 
Old 05-23-2010, 10:40 AM
Matthias Klose
 
Default Bug#582530: libgcj10: Fails to install with dpkg/gzip error.

reassign 582530 dpkg
thanks

if at all, this is a dpkg bug, but I assume it's just a corrupt .deb.

On 21.05.2010 17:38, Ken Bloom wrote:

Package: libgcj10
Version: 4.4.4-1
Severity: grave
Justification: renders package unusable

[bloom@cat-in-the-hat archives]$ sudo dpkg -i libgcj10_4.4.4-2_amd64.deb
(Reading database ... 396928 files and directories currently installed.)
Preparing to replace libgcj10 4.4.4-1 (using libgcj10_4.4.4-2_amd64.deb) ...
Unpacking replacement libgcj10 ...
dpkg-deb (subprocess): data: internal gzip read error: '<fd:0>: invalid stored block lengths'
dpkg-deb: subprocess<decompress> returned error exit status 2
dpkg: error processing libgcj10_4.4.4-2_amd64.deb (--install):
short read on buffer copy for backend dpkg-deb during `./usr/lib/libgcj.so.10.0.0'
Errors were encountered while processing:
libgcj10_4.4.4-2_amd64.deb


-- System Information:
Debian Release: squeeze/sid
APT prefers unstable
APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libgcj10 depends on:
ii gcj-4.4-base 4.4.4-2 The GNU Compiler Collection (gcj b
ii libasound2 1.0.22-2 shared library for ALSA applicatio
ii libc6 2.10.2-9 Embedded GNU C Library: Shared lib
ii libgcc1 1:4.4.4-2 GCC support library
ii libgcj-common 1:4.4.2-3 Java runtime library (common files
ii libgmp3c2 2:4.3.2+dfsg-1 Multiprecision arithmetic library
ii zlib1g 1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages libgcj10 recommends:
ii gcj-4.4-jre-lib 4.4.4-2 Java runtime library for use with

Versions of packages libgcj10 suggests:
pn libgcj10-awt<none> (no description available)
pn libgcj10-dbg<none> (no description available)

-- no debconf information








--
To UNSUBSCRIBE, email to debian-gcc-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 4BF9063B.6030906@debian.org">http://lists.debian.org/4BF9063B.6030906@debian.org
 

Thread Tools




All times are GMT. The time now is 08:37 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org